package org.wso2.carbon.device.mgt.ios.services.impl.util;

import org.wso2.carbon.device.mgt.ios.beans.ErrorResponse;

import java.io.Serializable;
import javax.ws.rs.BadRequestException;
import javax.ws.rs.core.Response;

public class InputValidationException extends BadRequestException implements Serializable {

    private static final long serialVersionUID = 147844579458906891L;

    public InputValidationException(ErrorResponse error) {
        super(Response.status(Response.Status.BAD_REQUEST).entity(error).build());
    }

}
